##
##  closurestylesheets.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         closurestylesheets
Summary:      Meta CSS Compiler
URL:          http://code.google.com/p/closure-stylesheets/
Vendor:       Google Inc.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      Apache
Version:      1.5.0
Release:      20170719

#   list of sources
Source0:      https://github.com/google/closure-stylesheets/releases/download/v%{version}/closure-stylesheets.jar
Source1:      closurestylesheets.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The Closure Compiler is a tool for making JavaScript download
    and run faster. It is a true compiler for JavaScript. Instead of
    compiling from a source language to machine code, it compiles from
    JavaScript to better JavaScript. It parses your JavaScript, analyzes
    it, removes dead code and rewrites and minimizes what's left. It
    also checks syntax, variable references, and types, and warns about
    common JavaScript pitfalls.

%track
    prog closurestylesheets = {
        version   = %{version}
        url       = https://github.com/google/closure-stylesheets/releases
        regex     = v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -T -c

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/closurestylesheets
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE closurestylesheets.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/closure-stylesheets
    %{l_shtool} install -c -m 644 \
        %{SOURCE0} \
        $RPM_BUILD_ROOT%{l_prefix}/lib/closurestylesheets/closure-stylesheets.jar
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

